Subject: [PATCH 0/4] 52xx fixes for 2.6.20

From: Sylvain Munaut <[email-masked]>
Date: Tue, 2 Jan 2007 23:29:51 +0100

Hello Paul,

This is a set of fixes for the various 52xx platforms I'd like to
see in 2.6.20.

- First patch is just an obvious omission in the serial driver.
Certainly not critical but a simple fix nonetheless.

- The second patch corrects an incorrect usage of device_initcall

Note that it's possible other platforms make the same mistake,
a `grep "device_initcall" arch/powerpc/platforms/* -R` gives several
potential hits. I haven't investigated further though as I don't know
those platforms well enough to know if the use is legit or not.

- The two last patches make the assumption the device tree of the
EFIKA has been fixed properly for linux and allow it to boot using
more common code.

	Sylvain